{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        
        <meta charset="utf-8" >
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" >
        <meta name="description" content="" >
        <meta name="author" content="" >
        <title>Luxury shopping</title>
        <!-- Bootstrap icons-->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css" rel="stylesheet" >
        <!-- Core theme CSS (includes Bootstrap)-->
        <link rel="stylesheet" href="{%static 'css/styles.css' %}">
        <!-- Favicon -->
        <link rel="icon" type="image/x-icon" href="{% static 'assets/favicon.ico' %}" />
    </head>
    <body>
        <!-- Navigation-->
        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <div class="container px-4 px-lg-5">
                <a class="navbar-brand" href="{% url 'home' %}">Luxury shopping site</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav me-auto mb-2 mb-lg-0 ms-lg-4">
                        <li class="nav-item"><a {% if request.path == '/'%} class="nav-link active" aria-current="page" {% else %} class="nav-link" {% endif %} href="{% url 'home' %}">Home</a></li>
                        <li class="nav-item"><a {% if request.path == '/contact/'%} class="nav-link active" aria-current="page" {% else %} class="nav-link" {% endif %} href="{% url 'contact' %}">Contact us</a></li>
                        {% if user.is_authenticated %}
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" id="navbarDropdown" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">{{user.username}}</a>
                            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <li><a class="dropdown-item" href="#!">Your info</a></li>
                                <li><a class="dropdown-item" href="#!">Shopping history</a></li>
                                <li><hr class="dropdown-divider" /></li>
                                <li class="nav-item">
                                    <form method="post" action="{% url 'logout' %}">
                                    {% csrf_token %}
                                    <button class="dropdown-item" type="submit">Logout</button>
                                    </form>
                                </li>
                                <li><a class="dropdown-item" href="#!">Change password</a></li>
                            </ul>
                        </li>
                        {% else %}
                        <li class="nav-item"><a {% if request.path == '/login/'%} class="nav-link active" aria-current="page" {% else %} class="nav-link" {% endif %} href="{% url 'login' %}">Login</a></li>
                        <li class="nav-item"><a class="nav-link" href="{% url 'signup' %}">Sign Up</a></li>
                        {% endif %}
                    </ul>
                    <form class="d-flex" action="{% url 'cart' %}">
                        <button class="btn btn-outline-dark" type="submit">
                            <i class="bi-cart-fill me-1"></i>
                            Cart
                            <span class="badge bg-dark text-white ms-1 rounded-pill">0</span>
                        </button>
                    </form>
                </div>
            </div>
        </nav>
  
        {% block content %}




        {% endblock %}


        <!-- Footer-->
        <footer class="py-5 bg-dark">
            <div class="container"><p class="m-0 text-center text-white">Copyright &copy; Indrek Eshop 2024</p></div>
        </footer>
        <!-- Bootstrap core JS-->
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
       
        <!-- Core theme JS-->
        <script src="{% static 'js/scripts.js' %}"></script>
    </body>
</html>
